%define spmajor     5
%define libname     %mklibname sidplayfp %{spmajor}
%define develname   %mklibname sidplayfp -d
%define stilmajor   0
%define libnamestil %mklibname stilview %stilmajor

Summary:        A Commodore 64 music player and SID chip emulator library
Name:           libsidplayfp
Version:        2.0.2
Release:        %mkrel 1
License:        GPLv2+
Group:          System/Libraries
URL:            https://sourceforge.net/projects/sidplay-residfp/
Source:         https://prdownloads.sourceforge.net/sidplay-residfp/%{name}-%version.tar.xz
BuildRequires:  chrpath
BuildRequires:  xa

%description
This is a cycle-based version of a C64 music playing library
developed by Simon White. This library provides no internal
SID emulation. Instead a means to drive any external SID hardware or
emulation has been provided using the SID Builder Classes.

A ReSID Builder Class using a modified version of ReSID 0.13
is included in this package. Alternative/updated classes can be
obtained from the SIDPlay2 homepage.

This is a fork of the original libsidplay2 aimed at improved sound quality.

%package -n %libname
Summary:        A Commodore 64 music player and SID chip emulator library
Group:          System/Libraries

%description -n %libname
This is a cycle-based version of a C64 music playing library
developed by Simon White. This library provides no internal
SID emulation. Instead a means to drive any external SID hardware or
emulation has been provided using the SID Builder Classes.

%package -n %libnamestil
Summary:        A Commodore 64 STIL music archive viewer library
Group:          System/Libraries

%description -n %libnamestil
This is a library for accessing the Sid Tune Information List, which is part
of the High Voltage Sid Collection, a huge collection of Commodore 64 SID
music files.

%package -n %develname
Summary:        Development headers and libraries for %{libname}
Group:          Development/Libraries
Requires:       %{libname} = %{version}
Requires:       %{libnamestil} = %{version}
Provides:       libsidplayfp-devel = %{version}-%release

%description -n %develname
This package includes the header and library files necessary
for developing applications to use %{libname}.

%prep
%setup -q

%build
export CFLAGS="%optflags -fPIC"
export CXXFLAGS="%optflags -fPIC"
%configure2_5x --disable-static --enable-shared
%make_build

%install
rm -rf %buildroot
%make_install

find %{buildroot} -name '*.la' -delete

%files -n %libname
%{_libdir}/libsidplayfp.so.%{spmajor}
%{_libdir}/libsidplayfp.so.%{spmajor}.*

%files -n %libnamestil
%{_libdir}/libstilview.so.%{stilmajor}
%{_libdir}/libstilview.so.%{stilmajor}.*


%files -n %develname
%{_includedir}/sidplayfp/
%{_includedir}/stilview/
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/libsidplay*.pc
%{_libdir}/pkgconfig/libstilview.pc


%changelog
* Fri May 28 2021 tex - 2.0.2-1pclos2021
- create pkg for qmmp
